/****************************************************************************
** $Id: qview.h,v 1.7 1995/05/02 18:33:01 hanord Exp $
**
** Definition of QView class
**
** Author  : Haavard Nord
** Created : 931112
**
** Copyright (C) 1993-1995 by Troll Tech AS.  All rights reserved.
**
*****************************************************************************/

#ifndef QVIEW_H
#define QVIEW_H

#include "qwidget.h"


class QView : public QWidget			// base class for views
{
friend class QObject;
    Q_OBJECT
public:
    QView( QWidget *parent=0, const char *name=0, WFlags f=0 );
   ~QView();

    char   *caption() const;			// get caption text
    void    setCaption( const char * );		// set caption text
    char   *iconText() const;			// get icon text
    void    setIconText( const char * );	// set icon text
    void    setIcon( QPixmap * );		// set icon pixmap

private:
    QString ctext;				// caption text
    QString itext;				// icon text
    QPixmap *ipm;				// icon pixmap
};


#endif // QVIEW_H
